org.codehaus.classworlds

## Class ClassWorld

- java.lang.Object
- - org.codehaus.classworlds.ClassWorld

Direct Known Subclasses:
  ClassWorldAdapter

    public class ClassWorld
    extends Object

A compatibility wrapper for org.codehaus.plexus.classworlds.ClassWorld provided for legacy code

Author:
  Andrew Williams

### Constructor Summary

Constructors
Constructor and Description
`ClassWorld()`
`ClassWorld(boolean ignore)`
`ClassWorld(String realmId, ClassLoader classLoader)`

### Method Summary

Methods
`void` `disposeRealm(String id)`
`ClassRealm` `getRealm(String id)`
`Collection` `getRealms()`
`ClassRealm` `newRealm(String id)`
`ClassRealm` `newRealm(String id, ClassLoader classLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassWorld

    public ClassWorld(String realmId,
              ClassLoader classLoader)

#### ClassWorld

    public ClassWorld()

#### ClassWorld

    public ClassWorld(boolean ignore)

### Method Detail

#### newRealm

    public ClassRealm newRealm(String id)
                        throws DuplicateRealmException

Throws:
  `DuplicateRealmException`

#### newRealm

    public ClassRealm newRealm(String id,
                      ClassLoader classLoader)
                        throws DuplicateRealmException

Throws:
  `DuplicateRealmException`

#### disposeRealm

    public void disposeRealm(String id)
                      throws NoSuchRealmException

Throws:
  `NoSuchRealmException`

#### getRealm

    public ClassRealm getRealm(String id)
                        throws NoSuchRealmException

Throws:
  `NoSuchRealmException`

#### getRealms

    public Collection getRealms()